Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate.locale
Interface ITaxCalculator

All Known Implementing Classes:
  TaxCalculatorEs

    public interface ITaxCalculator

Interface for taxes calculation

Method Summary
`java.math.BigDecimal` | `getTax(java.math.BigDecimal oBasePrice, java.lang.String sTaxZone, java.lang.String sItemType)` Get tax amount for a given base price
`java.math.BigDecimal` | `getTaxPct(java.lang.String sTaxZone, java.lang.String sItemType)` Get tax percentage that applies for a given zone and item type

Method Detail

### getTax

    java.math.BigDecimal getTax(java.math.BigDecimal oBasePrice,
                                java.lang.String sTaxZone,
                                java.lang.String sItemType)
                                throws java.lang.NullPointerException,
                                       java.lang.IllegalArgumentException

  Get tax amount for a given base price

  Parameters:
    `oBasePrice` - BigDecimal
    `sTaxZone` - String Tax Zone
    `sItemType` - String Type of tax (standard, reduced, tax-free, etc.)
  Returns:
    BigDecimal
  Throws:
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### getTaxPct

    java.math.BigDecimal getTaxPct(java.lang.String sTaxZone,
                                   java.lang.String sItemType)
                                   throws java.lang.NullPointerException,
                                          java.lang.IllegalArgumentException

  Get tax percentage that applies for a given zone and item type

  Parameters:
    `sTaxZone` - String Tax Zone
    `sItemType` - String Type of tax (standard, reduced, tax-free, etc.)
  Returns:
    BigDecimal Typicalle a percentage, expressed as a quantity between 0 and 1
  Throws:
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD